summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2019-11-28 15:47:44 -0600
committerWilliam Hubbs <williamh@gentoo.org>2019-11-28 15:54:10 -0600
commit7ef658c94b747c7690f5f15051769a42f6e29880 (patch)
tree7e4c71402fee51bbf0547bd9730390e988682315
parentsys-apps/s6-linux-utils: 2.5.1.1 bump (diff)
downloadgentoo-7ef658c94b747c7690f5f15051769a42f6e29880.tar.gz
gentoo-7ef658c94b747c7690f5f15051769a42f6e29880.tar.bz2
gentoo-7ef658c94b747c7690f5f15051769a42f6e29880.zip
net-dns/s6-dns: 2.3.1.1 bump
Closes: https://bugs.gentoo.org/696686 Signed-off-by: William Hubbs <williamh@gentoo.org>
-rw-r--r--net-dns/s6-dns/Manifest1
-rw-r--r--net-dns/s6-dns/s6-dns-2.3.1.1.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/net-dns/s6-dns/Manifest b/net-dns/s6-dns/Manifest
index a5ff49b20d2..5c6a227d44a 100644
--- a/net-dns/s6-dns/Manifest
+++ b/net-dns/s6-dns/Manifest
@@ -2,3 +2,4 @@ DIST s6-dns-2.2.0.1.tar.gz 76046 BLAKE2B c7c7e94fa47fc20e2a328f2fc22650585e9bd02
DIST s6-dns-2.3.0.0.tar.gz 76476 BLAKE2B 6896bf534d872aac19dd6b2ad819d7aee6d52737f33106640ad1c3afc7f8857e5672f3e35f7f2064cb8085a79adc33bdd33a99dc656a656040a93f813a986717 SHA512 9afa98d0a7a9d84311f6f93d5c1742f7dcfb84c76ca363f9e09b3b40cd3faa1721aebb6e974a98991c037d82b2540c1edbc3cc13ea5f7e3dd95a96d14918e454
DIST s6-dns-2.3.0.1.tar.gz 77836 BLAKE2B 55f83152eea3e3c8f2d774d6330aadcb73ec9b7d1ca4b87d1093fb9ab216ac1ad130bc9437ff30311451b06f820720fec902ac40e9e8d63f9d605cbf13448edf SHA512 69ae32f9b4ff22a5d38e3a2c950357d8c8032a649c1d81e4a4e5f474ae5c1bb1072555baa1a34f955293aa0f66a93f51f2cc8efd8aa56704b906e0b0979f8157
DIST s6-dns-2.3.0.2.tar.gz 77885 BLAKE2B 354a44d47f4fbc964c41999a442f730a738be361bc9633502c3c54f38d25060c58ef2ecfea764f1f5d3243a2e24f92e8b54abfaf61f76f7d155f93a53de2d1db SHA512 fec0edf852423bf8f717fcdc3c00c8f38e7bab4d9a03d14e6e81ad3f175b5db57be44409761bbd990f56f81c3ae8e0aa76ab8c5b65fec823a0ce392bf41cdf33
+DIST s6-dns-2.3.1.1.tar.gz 78171 BLAKE2B 0949a48a0c48a8c3ffa27794309efa4489cd15102b3a7c29a6dfbbe22cebd0d207417fbe687160266fcda6ff04174b538d7844ef7811e06f8c8bd9a91e4d013e SHA512 e69ee16cb16139d344255adc4bb92bd73003464925bbd2df893e3b922add155308b547274a66e3f20a5d3c0310c8fadc877b656753299ff9a269b4e25c26f7a9
diff --git a/net-dns/s6-dns/s6-dns-2.3.1.1.ebuild b/net-dns/s6-dns/s6-dns-2.3.1.1.ebuild
new file mode 100644
index 00000000000..55879080c23
--- /dev/null
+++ b/net-dns/s6-dns/s6-dns-2.3.1.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Suite of DNS client programs and libraries for Unix systems"
+HOMEPAGE="https://www.skarnet.org/software/s6-dns/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~x86"
+IUSE="static static-libs"
+
+REQUIRED_USE="static? ( static-libs )"
+
+RDEPEND=">=dev-libs/skalibs-2.9.1.0:=[static-libs?]"
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+ default
+
+ # Avoid QA warning for LDFLAGS addition; avoid overriding -fstack-protector
+ sed -i -e 's/.*-Wl,--hash-style=both$/:/' -e '/-fno-stack-protector$/d' \
+ configure || die
+}
+
+src_configure() {
+ econf \
+ --bindir=/bin \
+ --dynlibdir=/usr/$(get_libdir) \
+ --libdir=/usr/$(get_libdir)/${PN} \
+ --with-dynlib=/usr/$(get_libdir) \
+ --with-lib=/usr/$(get_libdir)/skalibs \
+ --with-sysdeps=/usr/$(get_libdir)/skalibs \
+ --enable-shared \
+ $(use_enable static allstatic) \
+ $(use_enable static static-libc) \
+ $(use_enable static-libs static)
+}